%{?!pyver: %define pyver %(python -c 'import sys;print(sys.version[0:3])')}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}


Name:		openerp-client
Version:	6.0.2
Release:	1%{?dist}
License:	GPLv2+
Group:		Applications/Productivity
Summary:	Open Source ERP Client
URL:		http://openerp.com
Source0:	http://www.openerp.com/download/stable/source/openerp-client-%{version}.tar.gz
Source1:	openerp.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	python-devel pygtk2
BuildRequires:	desktop-file-utils
Requires:	pygtk2, pygtk2-libglade, pydot, mx, python-matplotlib
Requires:	pytz
Requires:	python-psycopg, libxslt-python
Requires:	libxml2-python, PyXML
Requires:	libxslt-python, python-imaging
Requires:	python-reportlab
Requires:	graphviz, pyparsing
Requires:	ghostscript


%define cli_dir %{name}-client-%{version}

%description
GUI Client components for openERP.
openERP is a complete ERP and CRM. The main features are accounting
(analytic and financial), stock management, sales and purchases management,
tasks automation, marketing campaigns, help desk, POS, etc. Technical features
include a distributed server, flexible workflows, an object database,
a dynamic GUI, customizable reports, and SOAP and XML-RPC interfaces.

%prep
%setup

%build
python ./setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python ./setup.py install --root=$RPM_BUILD_ROOT


mv $RPM_BUILD_ROOT%{_datadir}/openerp-client/* $RPM_BUILD_ROOT%{python_sitelib}/openerp-client

desktop-file-install --vendor fedora				\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications		\
	%{SOURCE1}

sed -i "s/${RPM_BUILD_ROOT////\\/}/\//" $RPM_BUILD_ROOT/usr/bin/openerp-client



# remove installed docs
rm -r $RPM_BUILD_ROOT/%{_defaultdocdir}

%clean
#rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc doc/*
%{_bindir}/openerp-client
%{python_sitelib}/openerp-client/
%{python_sitelib}/openerp_client*
%{_mandir}/man1/openerp-client.*
%{_datadir}/openerp-client/
%{_datadir}/pixmaps/openerp-client/
%{_datadir}/applications/*.desktop
%{_datadir}/locale/*

%changelog
* Sat Jun 18 2011 Henrik Nordstrom <henrik@henriknordstrom.net> 6.0.2-1
- 6.0.2 build
* Fri Mar 05 2010 - Frederic Descamps <lefred@inuits.be> 5.0.7-1 
- Build for 5.0.7
* Fri Dec 18 2009 - Frederic Descamps <lefred@inuits.be> 5.0.6-1 
- Initial build
